穿裤衩闯天下

AndroidStudio导入环信新版EaseUI库问题

环信大牛最新封装了一个供开发者直接使用的UIEaseUI,这个可以让大家快速的进行集成环信的SDK进行实现聊天,官方也说了老版本的demo不会进行维护,重点维护这个EaseUI,但是在自己导入的时候有时会有些问题,这里用1.4版本的AndroidStudio导入3.0 demo来说明下;
首先就是打开AndroidStudio导入项目
tupian010
我喜欢给他改个名字EaseUIDemo
tupian011
导入完成
我这边导入时没有问题的,有时导入demo或者我们自己创建的项目 然后导入EaseUI库,并加入到自己的项目中去的时候可能会出现下边这样的错误 ,出现问题的原因的大致因为EaseUI默认引入的v4包的版本20.0.0,但是大家的开发环境不同,SDK版本以及编译器和support库版本不同,会出现错误;
tupian012
解决办法:这个时候就去点击项目设置,选中EaseUI把sdk版本设置成和build.gradle里一样的版本就行了,如果过低,建议更新Android SDK Tool,还不行,就把自己的项目的SDK版本和EaseUI都设置成一样,v4库也设置成一样
tupian013
设置了之后,要记得同步gradle 1 or 2方式都可以
tupian014

阿弥陀佛,施主,来个馒头吧 😋 ~